{# Template for nftables systemd file #}
{{ ansible_managed | comment }}
[Unit]
Description=Netfilter Tables
Documentation=man:nft(8) http://wiki.nftables.org
Wants=network-pre.target
Before=network-pre.target shutdown.target
Conflicts=shutdown.target
DefaultDependencies=no

[Service]
Type=oneshot
RemainAfterExit=yes
StandardInput=null
ProtectSystem=full
ProtectHome=true
ExecStart={{ firewall_vars_nftables_bin }} -f {{ firewall_vars_nftables_config_main_file.path }}
ExecReload={{ firewall_vars_nftables_bin }} -f {{ firewall_vars_nftables_config_main_file.path }}
ExecStop={{ firewall_vars_nftables_bin }} flush ruleset

[Install]
WantedBy=sysinit.target
